Bug 600940 - Package dependency missing (powermanga -> libmikmod)
Summary: Package dependency missing (powermanga -> libmikmod)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: powermanga   
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-06 18:40 UTC by Laurent GAUTROT
Modified: 2010-06-08 19:41 UTC (History)
1 user (show)

Fixed In Version: powermanga-0.90-8.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 19:41:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Laurent GAUTROT 2010-06-06 18:40:38 UTC
Description of problem:

On a freshly installed Fedora 13, powermangawon't run. The powermanga package does not require libmikmod although the binary actually needs it.


Version-Release number of selected component (if applicable):

% LANG=C yum deplist powermanga
Loaded plugins: presto, refresh-packagekit
Finding dependencies: 
package: powermanga.i686 0.90-7
  dependency: libc.so.6(GLIBC_2.3)
   provider: glibc.i686 2.12-1
  dependency: libc.so.6(GLIBC_2.1)
   provider: glibc.i686 2.12-1
  dependency: libpthread.so.0(GLIBC_2.0)
   provider: glibc.i686 2.12-1
  dependency: libm.so.6
   provider: glibc.i686 2.12-1
  dependency: libSDL-1.2.so.0
   provider: SDL.i686 1.2.14-4.fc13
  dependency: libc.so.6
   provider: glibc.i686 2.12-1
  dependency: libXxf86dga.so.1
   provider: libXxf86dga.i686 1.1.1-1.fc13
  dependency: libc.so.6(GLIBC_2.0)
   provider: glibc.i686 2.12-1
  dependency: libm.so.6(GLIBC_2.1)
   provider: glibc.i686 2.12-1
  dependency: libpthread.so.0
   provider: glibc.i686 2.12-1
  dependency: libm.so.6(GLIBC_2.0)
   provider: glibc.i686 2.12-1
  dependency: libSDL_mixer-1.2.so.0
   provider: SDL_mixer.i686 1.2.11-1.fc13
   provider: SDL_mixer.i686 1.2.11-2.fc13
  dependency: libc.so.6(GLIBC_2.3.4)
   provider: glibc.i686 2.12-1
  dependency: /bin/sh
   provider: bash.i686 4.1.2-4.fc13
   provider: bash.i686 4.1.7-1.fc13
  dependency: rtld(GNU_HASH)
   provider: glibc.i686 2.12-1



How reproducible: always unless at least one package requiring libmikmod is installed 

Steps to Reproduce:
1. Install a fresh Fedora 13
2. Install powermanga (yum install powermanga)
3. Run powermanga
  
Actual results:

powermanga won't run. Instead there would be a message such as this:

% powermanga                  
(!)sdl_mixer.c/sound_load_module(): Mix_LoadMUS(/usr/share/powermanga/sounds/music_menu.zik) return: Failed loading libmikmod.so.3: libmikmod.so.3: cannot open shared object file: No such file or directory
(!)sdl_mixer.c/sound_load_module(): '/usr/share/powermanga/sounds/music_menu.zik' file was not loaded!

Expected results:

powermanga running

Additional info:

There should be a "require" in powermanga package to libmikmod

Comment 1 Matthias Saou 2010-06-07 14:49:19 UTC
This was already reported as bug #577509, and I really thought the rebuilt package had made it into F-13... I guess it didn't. I'll rebuild it for F-13 and push it as an update to fix this.

Comment 2 Fedora Update System 2010-06-07 15:00:48 UTC
powermanga-0.90-8.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/powermanga-0.90-8.fc13

Comment 3 Fedora Update System 2010-06-08 19:41:01 UTC
powermanga-0.90-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.